Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224352 - No LDAP support in DHCP server (dhcpd)
Summary: No LDAP support in DHCP server (dhcpd)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp
Version: 6
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-25 12:17 UTC by Dag
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-01 18:59:28 UTC


Attachments (Terms of Use)

Description Dag 2007-01-25 12:17:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.8.1) Gecko/20061010 Firefox/2.0

Description of problem:
When trying to make dhcp get its configuration in an LDAP db, it simply won't contact any LDAP server nor LDAP thing.
It just seems that LDAP support is not configured/compiled in DHCP service under FC6_i386 in the last version (don't know for the preceeding ones).

Version-Release number of selected component (if applicable):
dhcp-3.0.5-1.fc6.i386.rpm

How reproducible:
Always


Steps to Reproduce:
1. install dhcp server via yum out of core repository
2.install ldap packages form the same source
3.then configure the dhcp.conf to get the dhcp config from the ldap.

the dhcp won't ask anything from the LDAP, it just says that there are unknown options (ldap) in the conf file

Actual Results:
dhcp won't start, saying there is an error in the dhcp.conf file, something about the ldap not supported. (I don't have the message here I'll put it on later)
but this configuration file is working for other Linux distributions (like Mandriva).
It didn't even connect to the LDAP server.

Expected Results:
dhcp server should have contacted the LDAP server to fetch its configuration.

Additional info:
Apparently the dhcp  server for FC6 isn't compiled with LDAP support, which is a great handicap, as the configuration of an entire network can't be stored in an uniq LDAP tree: you need to configure DHCP by hand, which is a pain, really.

Comment 1 David Cantrell 2007-02-01 18:59:28 UTC
Interesting idea.  ISC dhcp does not have any LDAP support in its code base, but
I see that dhcpd.conf-in-LDAP is pretty popular and a lot of the other
distributions have added support for it.

I've done this in dhcp-3.0.5-13 in rawhide.  Can you test it out and see if it
works.  See the README.ldap file in the /usr/share/doc tree.

Comment 2 David Woodhouse 2007-02-04 18:51:19 UTC
It's broken -- it causes an endless loop reading files on systems where 'char'
defaults to unsigned. Fixed in dhcp-3.0.5-15.


Comment 3 David Cantrell 2007-02-04 19:25:06 UTC
Ooops.  Thanks.  Found the patch, rewrote it, bleh.  But I CVS updated just now
and now I have spec file collisions.  The joys of devel-cvs.  :)


Note You need to log in before you can comment on or make changes to this bug.